HtmlTreeNodesAdaptor (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.html.HtmlTreeNodesAdaptor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlTreeNodesAdaptor

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.model.StackingTreeModelProvider
                  org.richfaces.component.UITreeNodesAdaptor
                      org.richfaces.component.html.HtmlTreeNodesAdaptor

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlTreeNodesAdaptor

extends UITreeNodesAdaptor

Component-Type org.richfaces.TreeNodesAdaptor Component-Family org.richfaces.TreeNodesAdaptor

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlTreeNodesAdaptor()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getFamily()`
`java.lang.Object` | `getNodes()` Defines collection to use at the other (non-top) levels of iteration Getter for nodes
`java.lang.String` | `getVar()` A request-scope attribute via which the data object for the current collection element will be used when iterating Getter for var
`boolean` | `isIncludedNode()` This boolean expression is used to define which elements are processed Getter for includedNode
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setIncludedNode(boolean __includedNode)` This boolean expression is used to define which elements are processed Setter for includedNode
`void` | `setNodes(java.lang.Object __nodes)` Defines collection to use at the other (non-top) levels of iteration Setter for nodes
`void` | `setVar(java.lang.String __var)` A request-scope attribute via which the data object for the current collection element will be used when iterating Setter for var

Methods inherited from class org.richfaces.component.UITreeNodesAdaptor
`createStackingTreeModel, includeNode`

Methods inherited from class org.richfaces.model.StackingTreeModelProvider
`getData, getStackingModel`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlTreeNodesAdaptor

    public HtmlTreeNodesAdaptor()

  Constructor to init default renderers

Method Detail

### setVar

    public void setVar(java.lang.String __var)

  A request-scope attribute via which the data object for the current collection element will be used when iterating Setter for var

  Specified by:
    `setVar` in class `UITreeNodesAdaptor`
  Parameters:
    `var` - - new value

### getVar

    public java.lang.String getVar()

  A request-scope attribute via which the data object for the current collection element will be used when iterating Getter for var

  Specified by:
    `getVar` in class `UITreeNodesAdaptor`
  Returns:
    var value from local variable or value bindings

### setIncludedNode

    public void setIncludedNode(boolean __includedNode)

  This boolean expression is used to define which elements are processed Setter for includedNode

  Specified by:
    `setIncludedNode` in class `UITreeNodesAdaptor`
  Parameters:
    `includedNode` - - new value

### isIncludedNode

    public boolean isIncludedNode()

  This boolean expression is used to define which elements are processed Getter for includedNode

  Specified by:
    `isIncludedNode` in class `UITreeNodesAdaptor`
  Returns:
    includedNode value from local variable or value bindings

### setNodes

    public void setNodes(java.lang.Object __nodes)

  Defines collection to use at the other (non-top) levels of iteration Setter for nodes

  Specified by:
    `setNodes` in class `org.richfaces.model.StackingTreeModelProvider`
  Parameters:
    `nodes` - - new value

### getNodes

    public java.lang.Object getNodes()

  Defines collection to use at the other (non-top) levels of iteration Getter for nodes

  Specified by:
    `getNodes` in class `org.richfaces.model.StackingTreeModelProvider`
  Returns:
    nodes value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.